<?php 
/**
 * Система управления сайтом HostCMS v. 5.xx
 * Copyright © 2005-2010 ООО "Хостмэйк" (Hostmake LLC), http://www.hostcms.ru
 *
 * Обработчик добавления/редактирования единицы измерения.
 * 
 * Файл: /admin/shop/action/add_mesures.php
 * 
 * @author Hostmake LLC
 * @version 5.x
 */
$param = array();
$shop = & singleton('shop');
if (isset($_REQUEST['edit_mesures']))
{
	$param['id'] = to_int($_REQUEST['edit_mesures']);	
}

$param['name'] = to_str($_REQUEST['mesures_name']);
$param['description'] = to_str($_REQUEST['mesures_description']);


if ($mesures = $shop->InsertMesure($param))
{
	$admin_forms = new admin_forms();
	$window_id = $admin_forms->GetWindowId();
	?><script type="text/javascript">
	$.appendInput('<?php echo $window_id?>', 'EditAddMesures', 'edit_mesures', '<?php echo $mesures?>');
	</script><?php

	if (isset($_REQUEST['edit_mesures'])) 
	{
		show_message($GLOBALS['MSG_shops']['success_edit_mesures']);
	}
	else 
	{
		show_message($GLOBALS['MSG_shops']['success_add_mesures']);
	}
}
else 
{
	if (isset($_REQUEST['edit_mesures'])) 
	{
		show_error_message($GLOBALS['MSG_shops']['error_edit_mesures']);
	}
	else 
	{
		show_error_message($GLOBALS['MSG_shops']['error_add_mesures']);
	}
	
}
?>